Subject: Re: [PATCH] supply '-n' to gzip to produce identical tarballs

From: Jakub Narebski <[email-masked]>
Date: Sun, 10 Apr 2011 15:55:06 +0200

On Sun, 10 Apr 2011, Fraser Tweedale wrote:
> On Sun, Apr 10, 2011 at 12:38:32AM -0700, Jakub Narebski wrote:
> > Fraser Tweedale <[email-masked]> writes:
> > 
> > > Subject: [PATCH] supply '-n' to gzip to produce identical tarballs
 
> > Very good description, except subject line should denote which
> > subsystem this commit affects, i.e.:
> > 
> >   gitweb: supply '-n' to gzip to produce identical tarballs
>  
> Thank you.  Do I need to amend the message and resubmit the patch?  (first
> time submitting a patch to git; I used git send-email).

I don't think so.  I guess that Junio can do such trivial amend when
applying, at the time he is adding his signoff.

> > Hmmm... gzip in gitweb's 'snapshot' action gets data compressed from
> > standard input, not from filesystem.  Isn't -n / --no-name no-op then?
> > Just asking...
> 
> It is not no-op; I have tested to confirm this.  I'm not sure whether
> a file name is recorded in the stdin case, or if so what it is, but the
> timestamp is recorded and that makes the difference.

Thanks for the clarification.

For what it is worth:

Acked-by: Jakub Narebski <[email-masked]>

> > > -		'compressor' => ['gzip']},
> > > +		'compressor' => ['gzip', '-n']},
> > 
> > Perhaps it would be more clear to use
> > 
> >   +		'compressor' => ['gzip', '--no-name']},

> Definitely, if the argument is the same (or even present) on all systems.
> On FreeBSD and GNU both '-n' and '--no-name' are do the job, but an audit
> of other systems should be done to ensure they don't break.  I chose '-n'
> as it seemed the more conservative choice.

So you choose '-n' because it has more chance of being widely supported,
isn't it?  Good enough for me.

-- 
Jakub Narebski
Poland